---
title: Welcome
linktitle: Docs
description: Learn how to deploy, use, and operate Istio.
weight: 1
sidebar_multicard: true
---

From here you can learn all about Istio's architecture and how to deploy and use Istio.

- [Concepts](/docs/concepts/). Concepts explain some significant aspect of Istio. This
is where you can learn about what Istio does and how it does it.

- [Setup](/docs/setup/). Setup contains instructions for installing
  the Istio control plane in various environments, as well as instructions
  for installing the sidecar in the application deployment. Quick start
  instructions are available for
  [Kubernetes](/docs/setup/kubernetes/quick-start/) and
  [Docker Compose w/ Consul](/docs/setup/consul/quick-start/).

- [Tasks](/docs/tasks/). Tasks show you how to do a single directed activity with Istio.

- [Guides](/docs/guides/). Guides are fully working stand-alone examples
intended to highlight a particular set of Istio's features.

- [Performance and Scalability](/docs/performance-and-scalability/).
Information about Istio's performance and scalability processes and results.

- [Reference](/docs/reference/). Detailed exhaustive lists of
command-line options, configuration options, API definitions, and procedures.

In addition, you might find these links interesting:

- The latest Istio monthly release is {{< istio_version >}}: [download {{< istio_version >}}](https://github.com/istio/istio/releases),
[release notes](/about/notes/{{< istio_version >}}/).

- Nostalgic for days gone by? We keep an [archive of the earlier releases' documentation](https://archive.istio.io/).

- We're always looking for help improving our documentation, so please don't hesitate to
[file an issue](https://github.com/istio/istio.github.io/issues/new) if you see some problem.
Or better yet, submit your own [contributions](/about/contribute/editing/) to help
make our docs better.
